<template>
  <div id="mapInfo" class="modelBox" v-drag>
    <div>
      <div class="modleTitle ">
        <div>图片查看</div>
        <div class="modelClose" @click="$store.state.isShowImgUpDate = false"> X</div>
      </div>
    </div>
    <div class="modelContent ">
      <img style="width: 100%; height: calc(100% - 20px)" :src="url" />
  
    </div>


  </div>
</template>

<script>




export default {
  name: "zhaiHaiInfo",
  components: {

  },

  data() {
    return {
      url: null,
      srcList: null,
    };
  },
  mounted() {
    this.setLayerStart();
  },
  destroyed() {

  },
  
  methods: {

    setLayerStart() {
       var url =layerData.config.Model_URL+"/"+ this.$store.state.isShowImgUrl;
      this.setUrl(url);
    },

    setUrl(res) {
      console.log(res)
      this.url = res;
  

    }

  }
};
</script>

<style scoped lang="less">
.modelBox {
  width: 20%;
  height: 25%;
  border: 1px solid white;
  top: 25%;
  left: 30%;

  background-color: rgba(0, 0, 0, 0.6); // #0048fd69 !important
  z-index: 9999;
  position: absolute;


  .modleTitle {
    height: 42px;
    width: 90%;
    background: #0048fd69 !important;
    border-bottom: 1px solid white;
    color: white;
    font-weight: 700px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0% 5%;

    .modelClose {
      height: 16px;
      width: 16px;
      display: flex;
      align-items: center;
      justify-content: center;
      background: rgba(128, 128, 128, 0.6);
      font-size: 14x;

    }
  }

  .modelContent {
    width: calc(100% - 20px);
    height: calc(100% - 42px);
    padding: 10px 10px;

    /deep/.el-form-item__label {
      color: white;
    }


  

  }


}
</style>
